#ifndef _UNITRGBFLOAT
#define _UNITRGBFLOAT

#include "minunit.h"
#include "colorspace_convert.h"

static min_result test_to_float_rgb()
{
	chb_rgb rgb;
	float rgbf[3];
	unsigned char v[3] = {255, 127, 64};
	chb_rgb_set_rgbv(&rgb, v);
	chb_to_float_rgb(&rgb, rgbf);

	float goal;
	size_t index;
	goal = 1.0f;
	index = 0;
	mu_assert("chb_to_float_rgb", rgbf[index] > goal-TEST_EPSILON && rgbf[index] < goal+TEST_EPSILON);
	goal = 0.4980392157f;
	index = 1;
	mu_assert("chb_to_float_rgb", rgbf[index] > goal-TEST_EPSILON && rgbf[index] < goal+TEST_EPSILON);
	goal = 0.2509803922f;
	index = 2;
	mu_assert("chb_to_float_rgb", rgbf[index] > goal-TEST_EPSILON && rgbf[index] < goal+TEST_EPSILON);

	mu_pass("chb float rgb");
}

#endif
