#ifndef _UNITMATH
#define _UNITMATH

#include "minunit.h"
#include "math_helper.h"

 
static min_result test_max() {
	int a = 1;
	int b = 2;
	int c = CHB_MAX(a, b);
	mu_assert("CHB_MAX int assign", c == b);
	mu_assert("CHB_MAX int input/output greater", c>a && b>a);
	mu_assert("CHB_MAX int output greater", c>a);

	float d = 1.0f;
	float e = 5.0f;
	float f = CHB_MAX(d, e);

	mu_assert("CHB_MAX float assign", e == f);
	mu_assert("CHB_MAX float intput/output greater", f>d && e>d);
	mu_assert("CHB_MAX float output greater", f>d);
	mu_pass("CHB_MAX");
}

#endif
